//
//  LinkedChildVM.swift
//  WOKA
//
//  Created by MacBook Pro on 09/05/24.
//

import UIKit

class LinkedChildVM{
    
    weak var vc : LinkedChildVC!
    
    var linkedChilds = [LinkedChildDM.ResultChild]()
    
    func initView(){
        setupCell()
        let color1 = #colorLiteral(red: 0.144693464, green: 0.1426281333, blue: 0.6686832905, alpha: 1)
        let color2 = #colorLiteral(red: 0.6901960784, green: 0.2745098039, blue: 0.7568627451, alpha: 1)
        vc.nextBtn.applyGradient(colors: [color1, color2], startPoint: CGPoint(x: 0, y: 0), endPoint: CGPoint(x: 0.8, y: 0))
        vc.nextBtn.roundCorner()
    }
    
    func setupCell(){
        vc.tableView.register(UINib(nibName: K.CellIdentifier.Authentication.linkedChildCell, bundle: nil), forCellReuseIdentifier: K.CellIdentifier.Authentication.linkedChildCell)
        vc.tableView.delegate = vc.self
        vc.tableView.dataSource = vc.self
    }
}
